#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: basic-prelude
version: 0.5.0
id: basic-prelude-0.5.0-44f62ba700365860d769a47f8ed11832
key: basic_AmhWFj984HT5umpl0ipQRy
license: MIT
maintainer: michael@snoyman.com
homepage: https://github.com/snoyberg/basic-prelude
synopsis: An enhanced core prelude; a common foundation for alternate preludes.
description:
    The premise of @basic-prelude@ is that there are a lot of very commonly desired features missing from the standard @Prelude@, such as commonly used operators (@\<$\>@ and @>=>@, for instance) and imports for common datatypes (e.g., @ByteString@ and @Vector@). At the same time, there are lots of other components which are more debatable, such as providing polymorphic versions of common functions.
    .
    So @basic-prelude@ is intended to give a common foundation for a number of alternate preludes. The package provides two modules: @CorePrelude@ provides the common ground for other preludes to build on top of, while @BasicPrelude@ exports @CorePrelude@ together with commonly used list functions to provide a drop-in replacement for the standard @Prelude@.
    .
    Users wishing to have an improved @Prelude@ can use @BasicPrelude@. Developers wishing to create a new prelude should use @CorePrelude@.
category: Control, Prelude
author: Michael Snoyman, Dan Burton
exposed: True
exposed-modules:
    BasicPrelude CorePrelude
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/basic-prelude-0.5.0
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/basic-prelude-0.5.0
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/basic-prelude-0.5.0
hs-libraries: HSbasic-prelude-0.5.0-AmhWFj984HT5umpl0ipQRy
include-dirs: /usr/local/include
depends:
    ReadArgs-1.2.2-5ff2bee7f3a36a717a59a538f51979ff
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    filepath-1.4.0.0-84bda675ba63f9b1a4b3fb9597f70f12
    hashable-1.2.3.3-c9c80f60fec1c2bfec8f21d0ecd5aacc
    lifted-base-0.2.3.6-477621ebc9029335db13c6635be05794
    safe-0.3.9-fce0ae2b7e19aba5c1a637120f4237e6
    text-1.2.1.3-6b3e1cbb2a57ec42cb19d113292b56f4
    transformers-0.4.2.0-1c92f7031c1e04e17d9abe73932eb485
    unordered-containers-0.2.5.1-335583f000f0fa5722ec79c17794446a
    vector-0.10.12.3-27897745aebd646b98c12ed0d61390a9
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/basic-prelude-0.5.0/html/basic-prelude.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/basic-prelude-0.5.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
